# $EPIC: strtol,v 1.2 2005/03/12 01:37:28 jnelson Exp $
Synopsis:
   $strtol(<base> <number>)

Technical:
   * <base> is a number, either 0, or 2 to 36.
   * <number> is a valid number in the given <base>.
   * If <base> or <number> are omitted, the empty string is returned.
   * If <base> is not 0 or 2 to 36, the empty string is returned.
   * If <number> is not valid for <base>, 0 is returned.
   * Otherwise, the return value is <number> converted to base 10.
   * Remember that <number> has to fit into a (long) variable type.

Practical:
   This is useful to convert binary, octal, or hex numbers to decimal.

Returns:
   The <number> of the given <base>, converted to base 10.
   The empty string if argument is omitted.
   0 if the conversion was unsucessful.

Examples:
   $strtol(16 ABC194F) returns 180099407

History:
   This function first appeared in EPIC5-0.0.2.

